Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.properties
Class FloatProperty

    java.lang.Object
      net.sourceforge.pmd.properties.AbstractPMDProperty
          net.sourceforge.pmd.properties.AbstractScalarProperty
              net.sourceforge.pmd.properties.FloatProperty

All Implemented Interfaces:
  java.lang.Comparable, PropertyDescriptor

public class FloatProperty
extends AbstractScalarProperty

Defines a property type that support float property values.

Author:
  Brian Remedios

Field Summary

Fields inherited from class net.sourceforge.pmd.properties.AbstractPMDProperty
`multiValueDelimiter`

Fields inherited from interface net.sourceforge.pmd.PropertyDescriptor
`emptyPropertySet`

Constructor Summary
`FloatProperty(java.lang.String theName, java.lang.String theDescription, float[] defaultValues, float theUIOrder, int theMaxValues)` Constructor for FloatProperty.
`FloatProperty(java.lang.String theName, java.lang.String theDescription, java.lang.Float[] defaultValues, float theUIOrder, int theMaxValues)` Constructor for FloatProperty.
`FloatProperty(java.lang.String theName, java.lang.String theDescription, float theDefault, float theUIOrder)` Constructor for FloatProperty.

Method Summary
`protected java.lang.Object[]` | `arrayFor(int size)` Method arrayFor.
`protected java.lang.Object` | `createFrom(java.lang.String value)` Method createFrom.
`java.lang.Class` | `type()` Method type.

Methods inherited from class net.sourceforge.pmd.properties.AbstractScalarProperty
`valueFrom`

Methods inherited from class net.sourceforge.pmd.properties.AbstractPMDProperty
`areEqual, asDelimitedString, asString, choices, compareTo, defaultValue, description, errorFor, isArray, isRequired, maxValueCount, maxValueCount, multiValueDelimiter, multiValueDelimiter, name, preferredRowCount, propertyErrorFor, typeErrorFor, uiOrder, valueErrorFor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FloatProperty

    public FloatProperty(java.lang.String theName,
                         java.lang.String theDescription,
                         float theDefault,
                         float theUIOrder)

  Constructor for FloatProperty.

Parameters:
  `theName` - String
  `theDescription` - String
  `theDefault` - float
  `theUIOrder` - float

### FloatProperty

    public FloatProperty(java.lang.String theName,
                         java.lang.String theDescription,
                         float[] defaultValues,
                         float theUIOrder,
                         int theMaxValues)

  Constructor for FloatProperty.

Parameters:
  `theName` - String
  `theDescription` - String
  `defaultValues` - boolean[]
  `theUIOrder` - float
  `theMaxValues` - int

### FloatProperty

    public FloatProperty(java.lang.String theName,
                         java.lang.String theDescription,
                         java.lang.Float[] defaultValues,
                         float theUIOrder,
                         int theMaxValues)

  Constructor for FloatProperty.

Parameters:
  `theName` - String
  `theDescription` - String
  `defaultValues` - Float[]
  `theUIOrder` - float
  `theMaxValues` - int

Method Detail

### type

    public java.lang.Class type()

  Method type.

  Returns:
    Class
  See Also:
    `PropertyDescriptor.type()`

### createFrom

    protected java.lang.Object createFrom(java.lang.String value)

  Method createFrom.

  Specified by:
    `createFrom` in class `AbstractScalarProperty`
  Parameters:
    `value` - String
  Returns:
    Object

### arrayFor

    protected java.lang.Object[] arrayFor(int size)

  Method arrayFor.

  Specified by:
    `arrayFor` in class `AbstractScalarProperty`
  Parameters:
    `size` - int
  Returns:
    Object[]

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.